Subject: Re: [IPP] Using ipp sample code to model infra structure printing

From: "Kennedy, Smith \(Wireless & IPP Standards\) via ipp" <[email-masked]>
Date: Mon, 1 Feb 2021 16:45:00 +0000

Hi Chris,

You will need to use a conf file like infra.conf in the ippsample project (https://github.com/istopwg/ippsample/blob/master/test/print/infra.conf <https://github.com/istopwg/ippsample/blob/master/test/print/infra.conf>) that specifies the "AuthProxyGroup" directive to enable Infrastructure Printer mode. There are no command line options for ippserver that enable Infrastructure printer mode.

If you check out the ippsample project and run "test/start-server.sh" from the top level directory in your local clone, that will run ippserver pointed at the set of .conf files within test.

Smith

/**
    Smith Kennedy
    HP Inc.
*/

> On Jan 31, 2021, at 8:53 PM, Rizzo, Christopher via ipp <[email-masked]> wrote:
> 
> Hi Gang,
> 
> Apologies for not attending recent meetings, just been swamped with work.
> 
> I’m trying to comprehend using the ippsample code on Github (via https://istopwg.github.io/ippsample/ <https://istopwg.github.io/ippsample/>)
> 
> My expectation is that I should be able to run ippserver as an INFRA printer, and use ippproxy (PROXY) to interface between INFRA and my local printer (LOCAL).
> 
> Hence if I use ipptool as in IPP client to send a Create-Job/Send-Document to the INFRA printer, the running PROXY will ‘fetch’ the job from INFRA and send it to LOCAL.
> 
> Using Wireshark I am able to see Create-Printer-Subscriptions, Update-Output-Device-Attributes and Get-Notifications requests from PROXY to INFRA, but not seeing ‘job-fetchable’ events from INFRA or Get-Jobs coming from PROXY
> 
> Here are my command lines (INFRA and PROXY both running on Ubuntu Linux (tesla.local. at 192.168.1.20), LOCAL printer-uri is ipp://192.168.1.40/ipp/print <ipp://192.168.1.40/ipp/print>:
> 
> // Start INFRA printer on tesla Linux machine, printer-uri = ipp://tesla:8000/ipp/print <ipp://tesla:8000/ipp/print>
> ippserver -v “ipp-infra-printer”
> 
> // Start PROXY on tesla Linux machine.
> ippproxy -v -d ipp://192.168.1.40/ipp/print <ipp://192.168.1.40/ipp/print> ipp://tesla:8000/ipp/print <ipp://tesla:8000/ipp/print>
> 
> ippfind ipp-infra-printer
> ipp://tesla:8000/ipp/print <ipp://tesla:8000/ipp/print>
> 
> I then send a Create-Job/Send-Document requests to INFRA at ipp://tesla:8000/ipp/print <ipp://tesla:8000/ipp/print> successfully.
> 
> But there are no job-fetchable events coming from INFRA and no Get-Jobs, Fetch-Job requests coming from PROXY to get that job and send it to LOCAL.
> 
> Is it possible to do this and if so why is it not working?
> 
> Thanks,
> Chris
> _______________________________________________
> ipp mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.pwg.org/mailman/listinfo/ipp <https://www.pwg.org/mailman/listinfo/ipp>
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp